CS::RenderManager::PostEffectManager::Layer Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::RenderManager::PostEffectManager::Layer Class Reference

An effect layer. More...

`#include <csplugincommon/rendermanager/posteffects.h>`

List of all members.

## Public Member Functions
const csArray< LayerInputMap > & | GetInputs () const
| Get inputs to this layer.
const LayerOptions & | GetOptions () const
| Get layer options.
int | GetOutTextureNum () const
| @@ Document me?
iShader * | GetShader () const
| Set layer shader.
iShaderVariableContext * | GetSVContext () const
| Get the shader variables for this layer.
void | SetOptions (const LayerOptions &opt)
| Set layer options.
void | SetShader (iShader *shader)
| Get layer shader.

## Detailed Description

An effect layer.

Definition at line 193 of file posteffects.h.

## Member Function Documentation

const csArray<LayerInputMap>& CS::RenderManager::PostEffectManager::Layer::GetInputs | ( |  | ) | const`[inline]`

Get inputs to this layer.

Definition at line 214 of file posteffects.h.

const LayerOptions& CS::RenderManager::PostEffectManager::Layer::GetOptions | ( |  | ) | const`[inline]`

Get layer options.

Definition at line 217 of file posteffects.h.

int CS::RenderManager::PostEffectManager::Layer::GetOutTextureNum | ( |  | ) | const`[inline]`

@@ Document me?

Definition at line 226 of file posteffects.h.

iShader* CS::RenderManager::PostEffectManager::Layer::GetShader | ( |  | ) | const`[inline]`

Set layer shader.

Definition at line 224 of file posteffects.h.

iShaderVariableContext* CS::RenderManager::PostEffectManager::Layer::GetSVContext | ( |  | ) | const`[inline]`

Get the shader variables for this layer.

Definition at line 212 of file posteffects.h.

void CS::RenderManager::PostEffectManager::Layer::SetOptions | ( | const LayerOptions & | opt | ) | `[inline]`

Set layer options.

Definition at line 219 of file posteffects.h.

void CS::RenderManager::PostEffectManager::Layer::SetShader | ( | iShader * | shader | ) | `[inline]`

Get layer shader.

Definition at line 222 of file posteffects.h.

The documentation for this class was generated from the following file:

- csplugincommon/rendermanager/posteffects.h